org.acplt.oncrpc.apps.jrpcgen

## Interface JrpcgenSymbols

    public interface JrpcgenSymbols

CUP generated interface containing symbol constants.

### Field Summary

Fields
`static int` `BOOL`
`static int` `CASE`
`static int` `CHAR`
`static int` `COLON`
`static int` `COMMA`
`static int` `CONST`
`static int` `DEFAULT`
`static int` `DOUBLE`
`static int` `ENUM`
`static int` `EOF`
`static int` `EQUAL`
`static int` `error`
`static int` `FLOAT`
`static int` `HYPER`
`static int` `IDENTIFIER`
`static int` `INT`
`static int` `INTEGER_LITERAL`
`static int` `LANGLE`
`static int` `LBRACE`
`static int` `LBRACKET`
`static int` `LONG`
`static int` `LPAREN`
`static int` `OPAQUE`
`static int` `PROGRAM`
`static int` `QUADRUPLE`
`static int` `RANGLE`
`static int` `RBRACE`
`static int` `RBRACKET`
`static int` `RPAREN`
`static int` `SEMICOLON`
`static int` `SHORT`
`static int` `STAR`
`static int` `STRING`
`static int` `STRUCT`
`static int` `SWITCH`
`static int` `TYPEDEF`
`static int` `UNION`
`static int` `UNSIGNED`
`static int` `VERSION`
`static int` `VOID`

### Field Detail

#### SHORT

    static final int SHORT

See Also:
  Constant Field Values

#### QUADRUPLE

    static final int QUADRUPLE

See Also:
  Constant Field Values

#### LBRACKET

    static final int LBRACKET

See Also:
  Constant Field Values

#### CONST

    static final int CONST

See Also:
  Constant Field Values

#### CHAR

    static final int CHAR

See Also:
  Constant Field Values

#### CASE

    static final int CASE

See Also:
  Constant Field Values

#### DOUBLE

    static final int DOUBLE

See Also:
  Constant Field Values

#### HYPER

    static final int HYPER

See Also:
  Constant Field Values

#### LPAREN

    static final int LPAREN

See Also:
  Constant Field Values

#### INT

    static final int INT

See Also:
  Constant Field Values

#### STAR

    static final int STAR

See Also:
  Constant Field Values

#### RPAREN

    static final int RPAREN

See Also:
  Constant Field Values

#### SEMICOLON

    static final int SEMICOLON

See Also:
  Constant Field Values

#### BOOL

    static final int BOOL

See Also:
  Constant Field Values

#### COMMA

    static final int COMMA

See Also:
  Constant Field Values

#### VERSION

    static final int VERSION

See Also:
  Constant Field Values

#### TYPEDEF

    static final int TYPEDEF

See Also:
  Constant Field Values

#### EOF

    static final int EOF

See Also:
  Constant Field Values

#### RBRACKET

    static final int RBRACKET

See Also:
  Constant Field Values

#### EQUAL

    static final int EQUAL

See Also:
  Constant Field Values

#### error

    static final int error

See Also:
  Constant Field Values

#### PROGRAM

    static final int PROGRAM

See Also:
  Constant Field Values

#### UNSIGNED

    static final int UNSIGNED

See Also:
  Constant Field Values

#### VOID

    static final int VOID

See Also:
  Constant Field Values

#### SWITCH

    static final int SWITCH

See Also:
  Constant Field Values

#### COLON

    static final int COLON

See Also:
  Constant Field Values

#### UNION

    static final int UNION

See Also:
  Constant Field Values

#### LANGLE

    static final int LANGLE

See Also:
  Constant Field Values

#### LBRACE

    static final int LBRACE

See Also:
  Constant Field Values

#### OPAQUE

    static final int OPAQUE

See Also:
  Constant Field Values

#### ENUM

    static final int ENUM

See Also:
  Constant Field Values

#### DEFAULT

    static final int DEFAULT

See Also:
  Constant Field Values

#### FLOAT

    static final int FLOAT

See Also:
  Constant Field Values

#### RANGLE

    static final int RANGLE

See Also:
  Constant Field Values

#### RBRACE

    static final int RBRACE

See Also:
  Constant Field Values

#### LONG

    static final int LONG

See Also:
  Constant Field Values

#### STRING

    static final int STRING

See Also:
  Constant Field Values

#### STRUCT

    static final int STRUCT

See Also:
  Constant Field Values

#### IDENTIFIER

    static final int IDENTIFIER

See Also:
  Constant Field Values

#### INTEGER_LITERAL

    static final int INTEGER_LITERAL

See Also:
  Constant Field Values